Package org.apache.ignite.spi

## Class IgniteSpiMultiException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.spi.IgniteSpiException
          - - org.apache.ignite.spi.IgniteSpiMultiException

- All Implemented Interfaces:
    `Serializable`

      public class IgniteSpiMultiException
      extends IgniteSpiException

  Grid SPI exception which may contain more than one failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgniteSpiMultiException​(String msg)` | Creates new exception with given error message.
    `IgniteSpiMultiException​(String msg, @Nullable Throwable cause)` | Creates new exception with given error message and optional nested exception.
    `IgniteSpiMultiException​(String msg, @Nullable Throwable cause, @Nullable Collection<Throwable> nestedCauses)` | Creates new exception with given error message and optional nested exception.
    `IgniteSpiMultiException​(Throwable cause)` | Creates new grid exception with given throwable as a cause and source of error message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Throwable cause)` | Adds a new cause for multi-exception.
    `List<Throwable>` | `nestedCauses()` | Gets nested causes for this multi-exception.
    `void` | `printStackTrace​(PrintStream s)`

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteSpiMultiException

          public IgniteSpiMultiException​(String msg)

      Creates new exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### IgniteSpiMultiException

          public IgniteSpiMultiException​(Throwable cause)

      Creates new grid exception with given throwable as a cause and source of error message.
      Parameters:
        `cause` - Non-null throwable cause.

    - #### IgniteSpiMultiException

          public IgniteSpiMultiException​(String msg,
                                         @Nullable
                                         @Nullable Throwable cause)

      Creates new exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).

    - #### IgniteSpiMultiException

          public IgniteSpiMultiException​(String msg,
                                         @Nullable
                                         @Nullable Throwable cause,
                                         @Nullable
                                         @Nullable Collection<Throwable> nestedCauses)

      Creates new exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).
        `nestedCauses` - Optional collection of nested causes.

  - ### Method Detail

    - #### add

          public void add​(Throwable cause)

      Adds a new cause for multi-exception.
      Parameters:
        `cause` - Cause to add.

    - #### nestedCauses

          public List<Throwable> nestedCauses()

      Gets nested causes for this multi-exception.
      Returns:
        Nested causes for this multi-exception.

    - #### printStackTrace

          public void printStackTrace​(PrintStream s)

      Overrides:
        `printStackTrace` in class `Throwable`